#ifndef DVXMLSRV_EXCEPTION_H
#define DVXMLSRV_EXCEPTION_H
// $Id: exception.h,v 1.1 2003/08/08 11:24:35 dvermeir Exp $

#include <string>
#include <stdexcept>

namespace Dv { 
namespace Xml {

/** Exception class for Dv::Xml classes and functions. */
class Exception: public std::runtime_error {
public:
  /** Class name, i.e. "Dv::Xml::Exception".  */
  static const std::string NAME;
  /** Constructor.
   * @param msg message to append to NAME.
   */
  Exception(const std::string& msg): std::runtime_error(NAME + ": " + msg) {}
};

}}
#endif
