// $Id: test-doc-1a.C,v 1.2 2003/06/01 09:09:25 dvermeir Exp $

// Test for Dv::Xml::Document memory leaks.

#include "xml.h"

int
main(int, char**) {
try {
  // Create default document, set root later.
  // <root>
  //   <child>
  //     <grandchild name="Manon"/>
  //   <child>
  // <root/>
  Dv::Xml::Node n("root");
  (n>>"child">>"grandchild")["name"]="Manon";

  Dv::Xml::Document doc;
  for (size_t i=0; i < 15000000; ++i)
    doc = n;

  std::cout << doc << std::endl;

  return 0;
  }
catch (std::exception& e) {
  std::cerr << "exception: " << e.what() << std::endl;
  return 1;
  }
}
