// $Id: test-doc-6.C.in,v 1.2 2003/08/08 11:24:35 dvermeir Exp $

// Test Dv::Xml::Document root() function.

#include "xml.h"

int
main(int, char**) {

try {
  {
  Dv::Xml::Document doc(Dv::Util::File("./test-request-with-dtd.xml"));

  // std::cerr << doc << std::endl;
  if (! doc.valid())
    throw std::runtime_error("Invalid document");
  }

  {
  Dv::Xml::Document doc(Dv::Util::File("./test-request.xml"));

  // std::cerr << doc << std::endl;
  if (! doc.valid("./request.dtd"))
    throw std::runtime_error("Invalid document");
  }

  // if (! doc.valid("request-dtd.xml") )
     
  return 0;
  }
catch (std::exception& e) {
  std::cerr << "exception: " << e.what() << std::endl;
  return 1;
  }
}
