// $Id: test-doc-8.C,v 1.1 2003/06/06 10:14:31 dvermeir Exp $

// Test Dv::Xml::Document doc(const char*, size_t) function.

#include "xml.h"

const std::string doc_string(
  "<?xml version=\"1.0\" encoding=\"ISO-8859-1\" standalone=\"no\"?> \n"
  "<dvlogin-request> \n"
  "<login name=\"fred\" passwd=\"&amp;123&gt;\" ip=\"134.184.65.2\" \n"
  " duration=\"20\" info=\"Fred Flater\"/> \n"
  "</dvlogin-request> \n"
  );

int
main(int, char**) {

try {
  Dv::Xml::Document doc(doc_string.data(), doc_string.size());
  return 0;
  }
catch (std::exception& e) {
  std::cerr << "exception: " << e.what() << std::endl;
  return 1;
  }
}
