// $Id: tohtml.C,v 1.1 2003/08/12 11:12:35 dvermeir Exp $
#include "tohtml.h"

static const char* to_html_[] = {
  /*   0 */ "",
  /*   1 */ "",
  /*   2 */ "",
  /*   3 */ "",
  /*   4 */ "",
  /*   5 */ "",
  /*   6 */ "",
  /*   7 */ "",
  /*   8 */ "",
  /*   9 */ "\t",
  /*  10 */ "\n",
  /*  11 */ "",
  /*  12 */ "",
  /*  13 */ "",
  /*  14 */ "",
  /*  15 */ "",
  /*  16 */ "",
  /*  17 */ "",
  /*  18 */ "",
  /*  19 */ "",
  /*  20 */ "",
  /*  21 */ "",
  /*  22 */ "",
  /*  23 */ "",
  /*  24 */ "",
  /*  25 */ "",
  /*  26 */ "",
  /*  27 */ "",
  /*  28 */ "",
  /*  29 */ "",
  /*  30 */ "",
  /*  31 */ "",
  /*  32 */ " ",
  /*  33 */ "!",
  /*  34 */ "&quot;",
  /*  35 */ "#",
  /*  36 */ "$",
  /*  37 */ "%",
  /*  38 */ "&amp;",
  /*  39 */ "'",
  /*  40 */ "(",
  /*  41 */ ")",
  /*  42 */ "*",
  /*  43 */ "+",
  /*  44 */ ",",
  /*  45 */ "-",
  /*  46 */ ".",
  /*  47 */ "/",
  /*  48 */ "0",
  /*  49 */ "1",
  /*  50 */ "2",
  /*  51 */ "3",
  /*  52 */ "4",
  /*  53 */ "5",
  /*  54 */ "6",
  /*  55 */ "7",
  /*  56 */ "8",
  /*  57 */ "9",
  /*  58 */ ":",
  /*  59 */ ";",
  /*  60 */ "&lt;",
  /*  61 */ "=",
  /*  62 */ "&gt;",
  /*  63 */ "?",
  /*  64 */ "@",
  /*  65 */ "A",
  /*  66 */ "B",
  /*  67 */ "C",
  /*  68 */ "D",
  /*  69 */ "E",
  /*  70 */ "F",
  /*  71 */ "G",
  /*  72 */ "H",
  /*  73 */ "I",
  /*  74 */ "J",
  /*  75 */ "K",
  /*  76 */ "L",
  /*  77 */ "M",
  /*  78 */ "N",
  /*  79 */ "O",
  /*  80 */ "P",
  /*  81 */ "Q",
  /*  82 */ "R",
  /*  83 */ "S",
  /*  84 */ "T",
  /*  85 */ "U",
  /*  86 */ "V",
  /*  87 */ "W",
  /*  88 */ "X",
  /*  89 */ "Y",
  /*  90 */ "Z",
  /*  91 */ "[",
  /*  92 */ "\\",
  /*  93 */ "]",
  /*  94 */ "^",
  /*  95 */ "_",
  /*  96 */ "`",
  /*  97 */ "a",
  /*  98 */ "b",
  /*  99 */ "c",
  /* 100 */ "d",
  /* 101 */ "e",
  /* 102 */ "f",
  /* 103 */ "g",
  /* 104 */ "h",
  /* 105 */ "i",
  /* 106 */ "j",
  /* 107 */ "k",
  /* 108 */ "l",
  /* 109 */ "m",
  /* 110 */ "n",
  /* 111 */ "o",
  /* 112 */ "p",
  /* 113 */ "q",
  /* 114 */ "r",
  /* 115 */ "s",
  /* 116 */ "t",
  /* 117 */ "u",
  /* 118 */ "v",
  /* 119 */ "w",
  /* 120 */ "x",
  /* 121 */ "y",
  /* 122 */ "z",
  /* 123 */ "{",
  /* 124 */ "|",
  /* 125 */ "}",
  /* 126 */ "~",
  /* 127 */ "",
  /* 128 */ "",
  /* 129 */ "",
  /* 130 */ "",
  /* 131 */ "",
  /* 132 */ "",
  /* 133 */ "",
  /* 134 */ "",
  /* 135 */ "",
  /* 136 */ "",
  /* 137 */ "",
  /* 138 */ "",
  /* 139 */ "",
  /* 140 */ "",
  /* 141 */ "",
  /* 142 */ "",
  /* 143 */ "",
  /* 144 */ "",
  /* 145 */ "",
  /* 146 */ "",
  /* 147 */ "",
  /* 148 */ "",
  /* 149 */ "",
  /* 150 */ "",
  /* 151 */ "",
  /* 152 */ "",
  /* 153 */ "",
  /* 154 */ "",
  /* 155 */ "",
  /* 156 */ "",
  /* 157 */ "",
  /* 158 */ "",
  /* 159 */ "",
  /* 160 */ "&nbsp;",
  /* 161 */ "&iexcl;",
  /* 162 */ "&cent;",
  /* 163 */ "&pound;",
  /* 164 */ "&curren;",
  /* 165 */ "&yen;",
  /* 166 */ "&brvbar;",
  /* 167 */ "&sect;",
  /* 168 */ "&uml;",
  /* 169 */ "&copy;",
  /* 170 */ "&ordf;",
  /* 171 */ "&laquo;",
  /* 172 */ "&not;",
  /* 173 */ "&shy;",
  /* 174 */ "&reg;",
  /* 175 */ "&macr;",
  /* 176 */ "&deg;",
  /* 177 */ "&plusm;",
  /* 178 */ "&sup2;",
  /* 179 */ "&sup3;",
  /* 180 */ "&acute;",
  /* 181 */ "&micro;",
  /* 182 */ "&para;",
  /* 183 */ "&middot;",
  /* 184 */ "&cedil;",
  /* 185 */ "&sup1;",
  /* 186 */ "&ordm;",
  /* 187 */ "&raquo;",
  /* 188 */ "&frac14;",
  /* 189 */ "&frac12;",
  /* 190 */ "&frac34;",
  /* 191 */ "&iquest;",
  /* 192 */ "&Agrave;",
  /* 193 */ "&Aacute;",
  /* 194 */ "&Acirc;",
  /* 195 */ "&Atilde;",
  /* 196 */ "&Auml;",
  /* 197 */ "&Aring;",
  /* 198 */ "&AElig;",
  /* 199 */ "&Ccedil;",
  /* 200 */ "&Egrave;",
  /* 201 */ "&Eacute;",
  /* 202 */ "&Ecirc;",
  /* 203 */ "&Euml;",
  /* 204 */ "&Igrave;",
  /* 205 */ "&Iacute;",
  /* 206 */ "&Icirc;",
  /* 207 */ "&Iuml;",
  /* 208 */ "&ETH;",
  /* 209 */ "&Ntilde;",
  /* 210 */ "&Ograve;",
  /* 211 */ "&Oacute;",
  /* 212 */ "&Ocirc;",
  /* 213 */ "&Otilde;",
  /* 214 */ "&Ouml;",
  /* 215 */ "&times;",
  /* 216 */ "&Oslash;",
  /* 217 */ "&Ugrave;",
  /* 218 */ "&Uacute;",
  /* 219 */ "&Ucirc;",
  /* 220 */ "&Uuml;",
  /* 221 */ "&Yacute;",
  /* 222 */ "&THORN;",
  /* 223 */ "&szlig;",
  /* 224 */ "&agrave;",
  /* 225 */ "&aacute;",
  /* 226 */ "&acirc;",
  /* 227 */ "&atilde;",
  /* 228 */ "&auml;",
  /* 229 */ "&aring;",
  /* 230 */ "&aelig",
  /* 231 */ "&ccedil;",
  /* 232 */ "&egrave",
  /* 233 */ "&eacute;",
  /* 234 */ "&ecirc;",
  /* 235 */ "&euml;",
  /* 236 */ "&igrave;",
  /* 237 */ "&iacute;",
  /* 238 */ "&icirc;",
  /* 239 */ "&iuml;",
  /* 240 */ "&eth;",
  /* 241 */ "&ntilde;",
  /* 242 */ "&ograve;",
  /* 243 */ "&oacute",
  /* 244 */ "&ocirc;",
  /* 245 */ "&otilde;",
  /* 246 */ "&ouml;",
  /* 247 */ "&divide;",
  /* 248 */ "&ohash;",
  /* 249 */ "&ugrave;",
  /* 250 */ "&uacute;",
  /* 251 */ "&ucirc;",
  /* 252 */ "&uuml;",
  /* 253 */ "&yacute;",
  /* 254 */ "&thorn;",
  /* 255 */ "&yuml;"
  };

const char*
Dv::Xml::to_html(unsigned char c) throw () {
return to_html_[c];
}

std::string&
Dv::Xml::to_html(const std::string& sin, std::string& sout) throw () {
for (std::string::size_type i=0; i<sin.size(); ++i)
  sout.append(to_html_[sin[i]]);
return sout;
}

std::string
Dv::Xml::to_html(const std::string& sin) throw () {
std::string sout;
to_html(sin, sout);
return sout;
}

