// $Id: date.C,v 1.1 2003/07/09 13:04:00 dvermeir Exp $

#include <dvutil/date.h>
#include <dvutil/tostring.h>
#include <xmlwrapp/xmlwrapp.h>

#include "xml.h"

Dv::Xml::Node
Dv::Xml::date(const std::string& name, const Dv::Util::Date& d) {
Dv::Xml::Node node(name);
node["datestr"] =  d.str("%Y-%m-%d");
node["timestr"] =  d.str("%H:%M");
node["datetimestr"] =  d.str("%Y-%m-%d %H:%M");
node["time"] =  d.time();
node["year"] =  d.year();
node["month"] =  d.month();
node["day"] =  d.day();
node["hours"] =  d.hours();
node["minutes"] =  d.minutes();
node["seconds"] =  d.seconds();
node["wday"] =  d.wday();
node["yday"] =  d.yday();
return node;
}


