#ifndef DVXML_DV_FORWARD_ITERATOR_H
#define DVXML_DV_FORWARD_ITERATOR_H
// $Id: dv_forward_iterator.h.in,v 1.1 2003/07/24 08:22:21 dvermeir Exp $
#include <iterator>
/** Kludge to support both gcc-3.X and gcc-2.95.X. 
 * In the former you need
 * @code
 * template<T> class iterator<forward_iterator_tag,T>
 * @endcode
 * while the latter only supports template class
 * @code
 * template<T> class forward_iterator<T,ptrdiff_t>
 * @endcode
 */
template <typename T>
class dv_forward_iterator: public std::iterator<std::forward_iterator_tag, T > {
};
#endif

