// $Id: test-date.C,v 1.1 2003/07/09 13:04:00 dvermeir Exp $

// Test Dv::Xml::Document functions.

#include "xml.h"

int
main(int, char**) {
try {
  Dv::Util::Date	date;

  Dv::Xml::Node node(Dv::Xml::date("today",date));

  if (date.time() != time_t(node["time"]))
    throw std::runtime_error("error");


  std::cout << node << std::endl;
  return 0;
  }
catch (std::exception& e) {
  std::cerr << "exception: " << e.what() << std::endl;
  return 1;
  }
}
