// $Id: test-doc-3.C,v 1.2 2003/06/01 09:55:16 dvermeir Exp $

// Test Dv::Xml::Document root() function.

#include "xml.h"

int
main(int, char**) {

try {

  Dv::Xml::Document doc;

  doc.root().name("my_root");

  // std::cerr << doc << std::endl;

  if  ( doc.root().name() != "my_root" )
    throw std::runtime_error("Test failed");

  return 0;
  }
catch (std::exception& e) {
  std::cerr << "exception: " << e.what() << std::endl;
  return 1;
  }
}
