// $Id: test-doc-4.C,v 1.1 2003/06/01 09:09:25 dvermeir Exp $

// Test Dv::Xml::Document root() function.

#include "xml.h"

int
main(int, char**) {

try {

  Dv::Xml::Document doc;

  if (doc.encoding() != "ISO-8859-1") 
    throw std::runtime_error("Test 1 failed");

  doc.encoding("UTF8");
  if (doc.encoding() != "UTF8") 
    throw std::runtime_error("Test 2 failed");
  return 0;
  }
catch (std::exception& e) {
  std::cerr << "exception: " << e.what() << std::endl;
  return 1;
  }
}
