// $Id: test-node-2a.C,v 1.4 2003/06/08 14:37:02 dvermeir Exp $

// Test Dv::Xml::Node functions. This tests memory management.

#include "xml.h"
#include "node.h"

int
main(int, char**) {
try {
  std::cout << 
    "This test takes forever. Start it and check, e.g. "
    "using 'top', that memory consumption remains constant." << std::endl;

  Dv::Xml::Node n("root");
  for (size_t i=0; i< 10000000; ++i) {
    if (i%1000)
      std::cout << i << std::endl;
    Dv::Xml::Node tmp("root");
    (tmp>>"child">>"grandchild")["name"]="Manon";
    n.ref().replace(tmp);
    }
  return 0;
  }
catch (std::exception& e) {
  std::cerr << "exception: " << e.what() << std::endl;
  return 1;
  }
}
