#ifndef DVXML_H
#define DVXML_H
// $Id: xml.h,v 1.8 2003/08/12 11:12:35 dvermeir Exp $

#include <string>
#include <stdexcept>
#include <dvutil/date.h>
#include <xmlwrapp/xmlwrapp.h>

#include <dvxml/exception.h>
#include <dvxml/dviconv.h>
#include <dvxml/node.h>
#include <dvxml/doc.h>
#include <dvxml/tohtml.h>

namespace Dv {
namespace Xml {

/** Represent date as xml::node.
 * @param name tag of main xml::node.
 * @param d date to represent.
 * @return Dv::Xml::Node representing d.
 */
Dv::Xml::Node date(const std::string& name, const Dv::Util::Date& d);



}}
#endif

